# Uses of Class
org.apache.sysds.runtime.instructions.cp.CiphertextMatrix

Packages that use CiphertextMatrix
Package
Description
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

## Uses of CiphertextMatrix in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type CiphertextMatrix
Modifier and Type
Method
Description
`PlaintextMatrix[]`
FederatedPSControlThread.`getPartialDecryption(CiphertextMatrix[] encrypted_sum)`

## Uses of CiphertextMatrix in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

Methods in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption that return CiphertextMatrix
Modifier and Type
Method
Description
`CiphertextMatrix`
SEALServer.`accumulateCiphertexts(CiphertextMatrix[] ciphertexts)`
accumulates the given ciphertext blocks into a sum ciphertext and returns it
`CiphertextMatrix`
SEALClient.`encrypt(MatrixObject plaintext)`
encrypts one block of data with public key stored statically and returns it setPublicKey() must have been called before calling this
Methods in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption with parameters of type CiphertextMatrix
Modifier and Type
Method
Description
`CiphertextMatrix`
SEALServer.`accumulateCiphertexts(CiphertextMatrix[] ciphertexts)`
accumulates the given ciphertext blocks into a sum ciphertext and returns it
`MatrixObject`
SEALServer.`average(CiphertextMatrix encrypted_sum, PlaintextMatrix[] partial_plaintexts)`
averages the partial decryptions
`PlaintextMatrix`
SEALClient.`partiallyDecrypt(CiphertextMatrix ciphertext)`
partially decrypts ciphertext with the partial private key.